# Visualization
TKMeshVS
MeshVS

# MeshVS_DummySensitiveEntity Class Reference

This class allows to create owners to all elements or nodes,
both hidden and shown, but these owners user cannot select "by hands"
in viewer. They means for internal application tasks, for example, receiving
all owners, both for hidden and shown entities.
.

`#include <MeshVS_DummySensitiveEntity.hxx>`

Inheritance diagram for MeshVS_DummySensitiveEntity:

[legend]

## Public Member Functions

Standard_EXPORT | MeshVS_DummySensitiveEntity (const Handle(SelectBasics_EntityOwner)&OwnerId)
virtual Standard_EXPORT void | Areas (SelectBasics_ListOfBox2d &aresult)
| to be implemented specifically by each type of sensitive primitive .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_Real X, const Standard_Real Y, const Standard_Real aTol, Standard_Real &DMin)
| returns True if the object is very close to the sensitive areas it gave to the selector... returns the minimum distance found if no match; to be implemented specifically by each type of sensitive primitive .
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)
| returns True if the box (Xmin,YMin)------(Xmax,Ymax) contains the SensitiveEntity. Necessary for selection using elastic boxes,or segments.
virtual Standard_EXPORT Standard_Boolean | Matches (const TColgp_Array1OfPnt2d &Polyline, const Bnd_Box2d &aBox, const Standard_Real aTol)
| returns True if the polyline xi,yi contains the SensitiveEntity. Necessary for selection using polyline selection
virtual Standard_EXPORT Standard_Boolean | Is3D () const
| returns True if able to give 3D information (Depth,...). See Select3D
virtual Standard_EXPORT Standard_Boolean | NeedsConversion () const
virtual Standard_EXPORT Standard_Integer | MaxBoxes () const
| returns the max number of boxes the entity is able to give at a time
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DummySensitiveEntity::MeshVS_DummySensitiveEntity | ( | const Handle(SelectBasics_EntityOwner)& | OwnerId | ) |

## Member Function Documentation

virtual Standard_EXPORT void MeshVS_DummySensitiveEntity::Areas | ( | SelectBasics_ListOfBox2d & | aresult | ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

Standard_EXPORT const MeshVS_DummySensitiveEntity::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from SelectBasics_SensitiveEntity.

virtual Standard_EXPORT Standard_Boolean MeshVS_DummySensitiveEntity::Is3D | ( |  | ) | const`[virtual]`

| Implements SelectBasics_SensitiveEntity.

virtual Standard_EXPORT Standard_Boolean MeshVS_DummySensitiveEntity::Matches | ( | const TColgp_Array1OfPnt2d & | Polyline,
|  | const Bnd_Box2d & | aBox,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

virtual Standard_EXPORT Standard_Boolean MeshVS_DummySensitiveEntity::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

virtual Standard_EXPORT Standard_Boolean MeshVS_DummySensitiveEntity::Matches | ( | const Standard_Real | X,
|  | const Standard_Real | Y,
|  | const Standard_Real | aTol,
|  | Standard_Real & | DMin
| ) | `[virtual]`

| Implements SelectBasics_SensitiveEntity.

virtual Standard_EXPORT Standard_Integer MeshVS_DummySensitiveEntity::MaxBoxes | ( |  | ) | const`[virtual]`

| Implements SelectBasics_SensitiveEntity.

virtual Standard_EXPORT Standard_Boolean MeshVS_DummySensitiveEntity::NeedsConversion | ( |  | ) | const`[virtual]`

| Implements SelectBasics_SensitiveEntity.

The documentation for this class was generated from the following file:

- MeshVS_DummySensitiveEntity.hxx